package com.lanyuanxiaoyao.service.web.entity.overview;

/**
 * @author lanyuanxiaoyao
 * @version 20250509
 */
public class VersionCountVO {
    private final String key;
    private final String type;
    private final Long unReceive;
    private final Long unScheduled;

    public VersionCountVO(String key, String type, Long unReceive, Long unScheduled) {
        this.key = key;
        this.type = type;
        this.unReceive = unReceive;
        this.unScheduled = unScheduled;
    }

    public String getKey() {
        return key;
    }

    public String getType() {
        return type;
    }

    public Long getUnReceive() {
        return unReceive;
    }

    public Long getUnScheduled() {
        return unScheduled;
    }

    @Override
    public String toString() {
        return "VersionCountVO{" +
                "key='" + key + '\'' +
                ", type='" + type + '\'' +
                ", unReceive=" + unReceive +
                ", unScheduled=" + unScheduled +
                '}';
    }
}
